# Noon Chimes

This is a simple setup to make your phone system page a page group and play a chime at noon in any number of timezones.

## Installation
1. Choose a chime sound and upload it to FreePBX through Admin > System Recordings.
2. Set up a custom context in Admin > Config Edit. Paste the contents of `custom-context.conf` into the file, save, and apply the config.
3. Set up a Custom Dest in Admin > Custom Destinations. Set the target to `chimes,s,1` and give it any description.
4. Set up the script `chimes.sh` in `/root/chimes.sh` and make it executable with `chmod +x /root/chimes.sh`.
5. Set up crontab with the following line: `0 * * * * /root/chimes.sh`.

## Configuration
There really isn't any, other than modifying the shell script to set what timezones you want to make chime at noon.
If you want to trigger the chime at a specific time, use cron to run `/var/lib/asterisk/bin/callback "page-group-number-here" chimes.s.1 0 0 "Ik5vb24gQ2hpbWUiIDw+"` at the desired time. I think you should be able to look up how to set up a cron job for that.

If you want to change the Caller ID it uses, base64 encode the callerid string you want to use and replace that at the end of the callback command.
A valid caller id looks like `"NAME" <NUMBER>`, or just `"NAME"` or `<NUMBER>`. The base64 encoded string for `"Noon Chime" <1234>` is `Ik5vb24gQ2hpbWUgPDEyMzQ+`.